---
search:
  tags:
    - Organisations
    - GET
seo:
  description: >-
    Get the tree of organisations that the requested organisation… Reference for
    the GET /api/v1/{app_id}/organisations/{id}/tree endpoint in the Customers
    API.
sidebar:
  label: Get organisation tree
  badge: GET
title: Get organisation tree
type: openapi-operation
---
Get the tree of organisations that the requested organisation is part of

`GET /api/v1/{app_id}/organisations/{id}/tree`

**Responses**

- `200` — OK
- `400` — Invalid request
- `404` — Organisation not found
- `500` — Internal server error

Response example, 200:

```json
{
  "ancestors": [
    {
      "app_id": "string",
      "comment": "string",
      "contact_name": "string",
      "created_at": "string",
      "credit_check": true,
      "custom_fields": {
        "property1": "string",
        "property2": "string"
      },
      "email": "string",
      "external_ref": "string",
      "id": "string",
      "invoice_email": "string",
      "name": "string",
      "organisation_number": "string",
      "parent_id": "string",
      "phone": "string",
      "status": "string",
      "tax_id_vat_number": "string",
      "updated_at": "string"
    }
  ],
  "company_tree": {
    "app_id": "string",
    "children": [
      {}
    ],
    "comment": "string",
    "contact_name": "string",
    "created_at": "string",
    "credit_check": true,
    "custom_fields": {
      "property1": "string",
      "property2": "string"
    },
    "email": "string",
    "external_ref": "string",
    "id": "string",
    "invoice_email": "string",
    "name": "string",
    "organisation_number": "string",
    "parent_id": "string",
    "phone": "string",
    "status": "string",
    "tax_id_vat_number": "string",
    "updated_at": "string"
  }
}
```
